List Call Histories
curl --request GET \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"per_page": 1,
"cursor": "example",
"date_from": "2026-05-01T06:38:05",
"date_to": "2052-05-24"
}
'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories"
payload = {
"per_page": 1,
"cursor": "example",
"date_from": "2026-05-01T06:38:05",
"date_to": "2052-05-24"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
per_page: 1,
cursor: 'example',
date_from: '2026-05-01T06:38:05',
date_to: '2052-05-24'
})
};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01kqh44f9wdwxghyfxsxs645s3",
"start_time": "2026-04-20T06:17:12.000000Z",
"end_time": "2026-04-26T20:29:54.000000Z",
"duration": "14:12:42",
"channel_type": "sms",
"cost": 8.7546,
"session_id": null,
"end_reason": "transfer",
"session_status": "active",
"from": "+13235266748",
"to": "+18067210719",
"direction": "inbound",
"session_outcome": "escalated",
"e2e_latency": 4195,
"agent_id": "01kqh44f9159fd9ry816nwb46k",
"workspace_id": "01kqh44f9fxkk4cqnahb88yhvb",
"created_at": "2026-05-01T06:38:05.000000Z",
"updated_at": "2026-05-01T06:38:05.000000Z",
"analysis": null
},
{
"id": "01kqh44fbvqbgte0z5h507bfj9",
"start_time": "2026-04-20T04:54:02.000000Z",
"end_time": "2026-04-21T04:56:02.000000Z",
"duration": "00:02:00",
"channel_type": "sms",
"cost": 0.9485,
"session_id": null,
"end_reason": "timeout",
"session_status": "active",
"from": "+12346235439",
"to": "+14327897092",
"direction": "outbound",
"session_outcome": "unresolved",
"e2e_latency": 3624,
"agent_id": "01kqh44fb2qhmca6gefg38v94v",
"workspace_id": "01kqh44fbecbxck2bn3x7z5tae",
"created_at": "2026-05-01T06:38:05.000000Z",
"updated_at": "2026-05-01T06:38:05.000000Z",
"analysis": null
}
],
"meta": {
"per_page": 20,
"next_cursor": null,
"prev_cursor": null
}
}Call History
List Call Histories
Retrieves a paginated list of call histories for the authenticated user’s current workspace. The call histories are returned using cursor-based pagination.
GET
/
api
/
v1
/
call-histories
List Call Histories
Authorizations
Bearer token authentication
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": "01kqh44f9wdwxghyfxsxs645s3",
"start_time": "2026-04-20T06:17:12.000000Z",
"end_time": "2026-04-26T20:29:54.000000Z",
"duration": "14:12:42",
"channel_type": "sms",
"cost": 8.7546,
"session_id": null,
"end_reason": "transfer",
"session_status": "active",
"from": "+13235266748",
"to": "+18067210719",
"direction": "inbound",
"session_outcome": "escalated",
"e2e_latency": 4195,
"agent_id": "01kqh44f9159fd9ry816nwb46k",
"workspace_id": "01kqh44f9fxkk4cqnahb88yhvb",
"created_at": "2026-05-01T06:38:05.000000Z",
"updated_at": "2026-05-01T06:38:05.000000Z",
"analysis": null
},
{
"id": "01kqh44fbvqbgte0z5h507bfj9",
"start_time": "2026-04-20T04:54:02.000000Z",
"end_time": "2026-04-21T04:56:02.000000Z",
"duration": "00:02:00",
"channel_type": "sms",
"cost": 0.9485,
"session_id": null,
"end_reason": "timeout",
"session_status": "active",
"from": "+12346235439",
"to": "+14327897092",
"direction": "outbound",
"session_outcome": "unresolved",
"e2e_latency": 3624,
"agent_id": "01kqh44fb2qhmca6gefg38v94v",
"workspace_id": "01kqh44fbecbxck2bn3x7z5tae",
"created_at": "2026-05-01T06:38:05.000000Z",
"updated_at": "2026-05-01T06:38:05.000000Z",
"analysis": null
}
]
Show child attributes
Show child attributes

